#include  "msp430x22x4.h"

#include "bsp.h"
#include "nwk_types.h"
#include "ccrf_regDefs.h"
#include "ccrf.h"
#include "TI_CC_spi.h"
#include "nwk_frame.h"        // receiveFrame(), txDone() and sigInfo
#include "TI_CC_hardware_board.h"
#include "LHAL_GDOxHandlers.h"

#pragma vector=PORT2_VECTOR
__interrupt void port2_ISR (void)
{
  // interrupt from switch or GDO0?
  if (TI_CC_GDO0_PxIFG & TI_CC_GDO0_PIN)
  {
    TI_CC_GDO0_PxIFG &= ~TI_CC_GDO0_PIN;
    LHAL_HandleGDO0_Int();
  }
  // this doesn't hurt if we're not low power
  __low_power_mode_off_on_exit();

  return;
}
